// Copyright (C) 1990 by Glenn Gribble; all rights are reserved.
// This program may be used for any purposes including inclusion in
// for profit programs.  If the source is copied, the copyright notice
// must be included.  Please send bug fixes/reports to glenn@synaptics.com
// This program is distributed without any warranty.

// %W% %G%
static char sccsid[] = "%W% %G%";

#include "loader.h"

#include <stdio.h>
#include <stdarg.h>

void error(const char *fmt ...)
{
  va_list	ap;
  va_start(ap, fmt);
  fprintf(stderr,"Error:");
  vfprintf(stderr, fmt, ap);
  fprintf(stderr,"\n");
  va_end(ap);
}

void warn(const char *fmt ...)
{
  va_list	ap;
  va_start(ap, fmt);
  fprintf(stderr,"Warning:");
  vfprintf(stderr, fmt, ap);
  fprintf(stderr,"\n");
  va_end(ap);
}

void info(const char *fmt ...)
{
  va_list	ap;
  va_start(ap, fmt);
  vfprintf(stderr, fmt, ap);
  fprintf(stderr,"\n");
  va_end(ap);
}
